rosbag2_bagfile_information:
  compression_format: zstd
  compression_mode: message
  custom_data: null
  duration:
    nanoseconds: 83878674080
  files:
  - duration:
      nanoseconds: 83878674080
    message_count: 43191
    path: 2024-08-13-17-14-03.db3
    starting_time:
      nanoseconds_since_epoch: 1723583644620669598
  message_count: 43191
  relative_file_paths:
  - 2024-08-13-17-14-03.db3
  ros_distro: rosbags
  starting_time:
    nanoseconds_since_epoch: 1723583644620669598
  storage_identifier: sqlite3
  topics_with_message_count:
  - message_count: 11323
    topic_metadata:
      name: /tf
      offered_qos_profiles: ''
      serialization_format: cdr
      type: tf2_msgs/msg/TFMessage
      type_description_hash: 
        RIHS01_e369d0f05a23ae52508854b66f6aa0437f3449d652e8cbf22d5abe85d020f087
  - message_count: 6
    topic_metadata:
      name: /tf_static
      offered_qos_profiles: "- avoid_ros_namespace_conventions: false\n  deadline:
        {nsec: 4294967295, sec: 2147483647}\n  depth: 0\n  durability: 1\n  history:
        3\n  lifespan: {nsec: 4294967295, sec: 2147483647}\n  liveliness: 1\n  liveliness_lease_duration:
        {nsec: 4294967295, sec: 2147483647}\n  reliability: 1"
      serialization_format: cdr
      type: tf2_msgs/msg/TFMessage
      type_description_hash: 
        RIHS01_e369d0f05a23ae52508854b66f6aa0437f3449d652e8cbf22d5abe85d020f087
  - message_count: 10482
    topic_metadata:
      name: /trevor/imu/data
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/Imu
      type_description_hash: 
        RIHS01_7d9a00ff131080897a5ec7e26e315954b8eae3353c3f995c55faf71574000b5b
  - message_count: 838
    topic_metadata:
      name: /trevor/lidar_points
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/PointCloud2
      type_description_hash: 
        RIHS01_9198cabf7da3796ae6fe19c4cb3bdd3525492988c70522628af5daa124bae2b5
  - message_count: 10466
    topic_metadata:
      name: /trevor/odom
      offered_qos_profiles: ''
      serialization_format: cdr
      type: nav_msgs/msg/Odometry
      type_description_hash: 
        RIHS01_3cc97dc7fb7502f8714462c526d369e35b603cfc34d946e3f2eda2766dfec6e0
  - message_count: 84
    topic_metadata:
      name: /trevor/gps
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/NavSatFix
      type_description_hash: 
        RIHS01_62223ab3fe210a15976021da7afddc9e200dc9ec75231c1b6a557fc598a65404
  - message_count: 2499
    topic_metadata:
      name: /trevor/stereo_left/camera_info
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/CameraInfo
      type_description_hash: 
        RIHS01_b303399feda782bcc44e57b8eec9baaa9e0e5a7cd4a89fee8cffe588d6dc93ed
  - message_count: 2498
    topic_metadata:
      name: /trevor/stereo_right/camera_info
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/CameraInfo
      type_description_hash: 
        RIHS01_b303399feda782bcc44e57b8eec9baaa9e0e5a7cd4a89fee8cffe588d6dc93ed
  - message_count: 2498
    topic_metadata:
      name: /trevor/stereo_left/image_rect_color/compressed
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/CompressedImage
      type_description_hash: 
        RIHS01_15640771531571185e2efc8a100baf923961a4d15d5569652e6cb6691e8e371a
  - message_count: 2497
    topic_metadata:
      name: /trevor/stereo_right/image_rect_color/compressed
      offered_qos_profiles: ''
      serialization_format: cdr
      type: sensor_msgs/msg/CompressedImage
      type_description_hash: 
        RIHS01_15640771531571185e2efc8a100baf923961a4d15d5569652e6cb6691e8e371a
  version: 8
